Create and save a scheduled configuration

A successful request to this endpoint creates and saves a run configuration object. This method returns the created run configuration object details.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Request

This request uses the POST method, which is used to create and save a test run using Katalon TestOps from the specified resource with the provided configuration, specifying the test type, cloud type, and project-related information.

For basic authorization, replace this with your actual username and password (or API key) in the header request in the username:password or username:api_key format. Your user creds are combined to form a Base64 encoded string.

The request data is provided as a JSON object.

You need to provide the following required query parameters:

  • verifyRunConfiguration - requires a Boolean parameter to indicate whether you skip verification of the run configuration or not.
  • runConfiguration - is an object containing configuration information for the test run.
  • configType - represents a specific test configuration type.
  • cloudType - suggesting that the test might be executed on a Kubernetes cluster.
  • projectId - the project ID.
  • teamId - the team or group associated with this test run.
  • testProjectId- test project ID.

Response

The API response provides detailed information about the new test run configuration. The response contains a lot of data in a structured format, as demonstrated in this format:

{
  "id": 0,
  "name": "string",
  "command": "string",
  "projectId": 0,
  "teamId": 0,
  "testProjectId": 0,
  "releaseId": 0,
  "testSuiteCollectionId": 0,
  "testSuiteId": 0,
  "executionProfileId": 0,
  "baselineCollectionGroupOrder": 0,
  "timeOut": 0,
  "kobitonDeviceId": "string",
  "configType": "TSC",
  "testProject": {
    "id": 0,
    "name": "string",
    "description": "string",
    "defaultTestProject": true,
    "uploadFileId": 0,
    "projectId": 0,
    "teamId": 0,
    "createdAt": "2023-11-02T06:05:02.348Z",
    "uploadFileName": "string",
    "type": "KS",
    "dirty": true
  },
  "agents": [
    {
      "id": 0,
      "name": "string",
      "ip": "string",
      "uuid": "string",
      "lastPing": "2023-11-02T06:05:02.348Z",
      "os": "string",
      "teamId": 0,
      "hostname": "string",
      "active": true,
      "threshold": 0,
      "numExecutingJobs": 0,
      "numAssignedJobs": 0,
      "agentVersion": "string",
      "deleted": true
    }
  ],
  "testCloudAgents": [
    {
      "id": 0,
      "name": "string",
      "os": "string",
      "osVersion": "string",
      "browser": "string",
      "browserVersion": "string",
      "deviceName": "string",
      "appId": "string",
      "appGroupId": "string",
      "appName": "string",
      "numExecutingJobs": 0,
      "numAssignedJobs": 0,
      "teamId": 0,
      "deleted": true,
      "apiKey": "string",
      "totalDuration": 0,
      "headless": true
    }
  ],
  "k8sAgents": [
    {
      "id": 0,
      "name": "string",
      "certificateAuthority": "string",
      "url": "string",
      "namespace": "string",
      "username": "string",
      "password": "string",
      "token": "string",
      "cluster": "string",
      "region": "string",
      "accessKey": "string",
      "privateAccessKey": "string",
      "teamId": 0,
      "apiKey": "string",
      "authenticationType": "BASIC_AUTH"
    }
  ],
  "circleCIAgents": [
    {
      "id": 0,
      "name": "string",
      "url": "string",
      "username": "string",
      "token": "string",
      "project": "string",
      "vcsType": "string",
      "branch": "string",
      "teamId": 0,
      "apiKey": "string"
    }
  ],
  "testCloudTestSuiteCollectionAgents": [
    {
      "testSuiteCollectionConfigurationId": 0,
      "testCloudAgent": {
        "id": 0,
        "name": "string",
        "os": "string",
        "osVersion": "string",
        "browser": "string",
        "browserVersion": "string",
        "deviceName": "string",
        "appId": "string",
        "appGroupId": "string",
        "appName": "string",
        "numExecutingJobs": 0,
        "numAssignedJobs": 0,
        "teamId": 0,
        "deleted": true,
        "apiKey": "string",
        "totalDuration": 0,
        "headless": true
      },
      "updatedAt": "2023-11-02T06:05:02.348Z"
    }
  ],
  "cloudType": "K8S",
  "latestJob": {
    "id": 0,
    "buildNumber": 0,
    "status": "QUEUED",
    "queuedAt": "2023-11-02T06:05:02.348Z",
    "startTime": "2023-11-02T06:05:02.348Z",
    "stopTime": "2023-11-02T06:05:02.348Z",
    "testProject": {
      "id": 0,
      "name": "string",
      "description": "string",
      "defaultTestProject": true,
      "uploadFileId": 0,
      "projectId": 0,
      "teamId": 0,
      "createdAt": "2023-11-02T06:05:02.348Z",
      "uploadFileName": "string",
      "type": "KS",
      "dirty": true
    },
    "execution": {
      "status": "PASSED",
      "startTime": "2023-11-02T06:05:02.348Z",
      "endTime": "2023-11-02T06:05:02.348Z",
      "duration": 0,
      "elapsedDuration": 0,
      "totalTests": 0,
      "totalPassedTests": 0,
      "totalFailedTests": 0,
      "totalErrorTests": 0,
      "totalIncompleteTests": 0,
      "totalSkippedTests": 0,
      "id": 0,
      "projectId": 0,
      "buildId": 0,
      "order": 0,
      "executionStage": "RUNNING",
      "hasComment": true,
      "sessionId": "string",
      "buildLabel": "string",
      "buildUrl": "string",
      "type": "KATALON",
      "useTestCloudTunnel": true
    },
    "agent": {
      "id": 0,
      "name": "string",
      "ip": "string",
      "uuid": "string",
      "lastPing": "2023-11-02T06:05:02.348Z",
      "os": "string",
      "teamId": 0,
      "hostname": "string",
      "active": true,
      "threshold": 0,
      "numExecutingJobs": 0,
      "numAssignedJobs": 0,
      "agentVersion": "string",
      "deleted": true
    },
    "testCloudAgent": {
      "id": 0,
      "name": "string",
      "os": "string",
      "osVersion": "string",
      "browser": "string",
      "browserVersion": "string",
      "deviceName": "string",
      "appId": "string",
      "appGroupId": "string",
      "appName": "string",
      "numExecutingJobs": 0,
      "numAssignedJobs": 0,
      "teamId": 0,
      "deleted": true,
      "apiKey": "string",
      "totalDuration": 0,
      "headless": true
    },
    "k8sAgent": {
      "id": 0,
      "name": "string",
      "certificateAuthority": "string",
      "url": "string",
      "namespace": "string",
      "username": "string",
      "password": "string",
      "token": "string",
      "cluster": "string",
      "region": "string",
      "accessKey": "string",
      "privateAccessKey": "string",
      "teamId": 0,
      "apiKey": "string",
      "authenticationType": "BASIC_AUTH"
    },
    "circleCiAgent": {
      "id": 0,
      "name": "string",
      "url": "string",
      "username": "string",
      "token": "string",
      "project": "string",
      "vcsType": "string",
      "branch": "string",
      "teamId": 0,
      "apiKey": "string"
    },
    "runConfiguration": {
      "id": 0,
      "name": "string",
      "command": "string",
      "projectId": 0,
      "teamId": 0,
      "testProjectId": 0,
      "releaseId": 0,
      "testSuiteCollectionId": 0,
      "testSuiteId": 0,
      "executionProfileId": 0,
      "baselineCollectionGroupOrder": 0,
      "timeOut": 0,
      "kobitonDeviceId": "string",
      "configType": "TSC",
      "cloudType": "K8S",
      "genericCommand": "string",
      "ksVersion": "string",
      "ksLocation": "string",
      "executionMode": "SEQUENTIAL",
      "enabledKobitonIntegration": true,
      "enabledTestCloudTunnel": true,
      "triggerMode": "TESTOPS_SCHEDULER",
      "browserType": "CHROME"
    },
    "order": 0,
    "parameter": {
      "downloadUrl": "string",
      "command": "string",
      "environmentVariables": [
        {
          "name": "string",
          "value": "string"
        }
      ],
      "sessionId": "string",
      "ksVersion": "string",
      "ksLocation": "string",
      "configType": "TSC",
      "type": "KS",
      "gitRepositoryResource": {
        "id": 0,
        "testProjectId": 0,
        "name": "string",
        "repository": "string",
        "branch": "string",
        "username": "string",
        "password": "string",
        "accessKeyId": "string",
        "secretAccessKey": "string",
        "projectId": 0,
        "description": "string",
        "vcsType": "GITHUB",
        "shouldMergeTestResultsForNewScriptRepo": true,
        "teamId": 0,
        "createdAt": "2023-11-02T06:05:02.348Z",
        "updatedAt": "2023-11-02T06:05:02.348Z"
      },
      "testOpsDownloadUrl": "string",
      "extraFiles": [
        {
          "contentUrl": "string",
          "path": "string",
          "writeMode": "OVERRIDE"
        }
      ],
      "organizationId": 0
    },
    "triggerBy": "MANUAL",
    "duration": 0,
    "triggerAt": "2023-11-02T06:05:02.348Z",
    "user": {
      "id": 0,
      "email": "string",
      "firstName": "string",
      "lastName": "string",
      "password": "string",
      "invitingUrl": "string",
      "trialExpirationDate": "2023-11-02T06:05:02.348Z",
      "surveyStatus": "NOT_SUBMITTED",
      "sessionTimeout": 0,
      "businessUser": true,
      "canCreateOfflineKSE": true,
      "canCreateOfflineRE": true,
      "samlSSO": true,
      "createdAt": "2023-11-02T06:05:02.348Z",
      "fullName": "string"
    },
    "scheduler": {
      "id": 0,
      "name": "string",
      "startTime": "2023-11-02T06:05:02.348Z",
      "nextTime": "2023-11-02T06:05:02.348Z",
      "endTime": "2023-11-02T06:05:02.348Z",
      "active": true,
      "interval": 0,
      "intervalUnit": "MINUTE",
      "runConfigurationId": 0,
      "exceededLimitTime": true
    },
    "project": {
      "id": 0,
      "name": "string",
      "teamId": 0,
      "status": "ARCHIVE"
    },
    "processId": 0,
    "nodeStatus": "PENDING_CANCELED",
    "runConfigurationId": 0
  },
  "genericCommand": "string",
  "ksVersion": "string",
  "ksLocation": "string",
  "nextRunScheduler": {
    "id": 0,
    "name": "string",
    "startTime": "2023-11-02T06:05:02.348Z",
    "nextTime": "2023-11-02T06:05:02.348Z",
    "endTime": "2023-11-02T06:05:02.348Z",
    "active": true,
    "interval": 0,
    "intervalUnit": "MINUTE",
    "runConfigurationId": 0,
    "runConfiguration": {
      "id": 0,
      "name": "string",
      "command": "string",
      "projectId": 0,
      "teamId": 0,
      "testProjectId": 0,
      "releaseId": 0,
      "testSuiteCollectionId": 0,
      "testSuiteId": 0,
      "executionProfileId": 0,
      "baselineCollectionGroupOrder": 0,
      "timeOut": 0,
      "kobitonDeviceId": "string",
      "configType": "TSC",
      "cloudType": "K8S",
      "genericCommand": "string",
      "ksVersion": "string",
      "ksLocation": "string",
      "executionMode": "SEQUENTIAL",
      "enabledKobitonIntegration": true,
      "enabledTestCloudTunnel": true,
      "triggerMode": "TESTOPS_SCHEDULER",
      "browserType": "CHROME"
    },
    "exceededLimitTime": true
  },
  "release": {
    "id": 0,
    "name": "string",
    "startTime": "2023-11-02",
    "endTime": "2023-11-02",
    "description": "string",
    "projectId": 0,
    "closed": true,
    "createdAt": "2023-11-02T06:05:02.348Z",
    "releaseStatus": "NOT_READY"
  },
  "build": {
    "id": 0,
    "projectId": 0,
    "releaseId": 0,
    "name": "string",
    "description": "string",
    "date": "2023-11-02T06:05:02.348Z"
  },
  "executionMode": "SEQUENTIAL",
  "enabledKobitonIntegration": true,
  "enabledTestCloudTunnel": true,
  "triggerMode": "TESTOPS_SCHEDULER",
  "browserType": "CHROME"
}

Refer to the following table about the response body properties:

PropertyTypeDescription
idintegerThe unique identifier of the run configuration.
namestringThe name of the test execution.
commandstringThe execution command that specifies the behavior of the execution.
See Command-line syntax.
projectIdintegerThe ID of the project associated with this execution.
teamIdintegerThe ID of the team associated with this execution.
testProjectIdintegerThe ID of the script repository or zip repository that contains test cases.
releaseIdintegerThe ID of the release associated with the execution
testSuiteCollectionIdintegerThe ID of the test suite collections used in the execution.
testSuiteIdintegerThe ID of the test suite used in the execution.
executionProfileIdinteger

The execution profile configured in Katalon Studio.

See Execution Profile.

baselineCollectionGroupOrderinteger

The order of the Visual Testing baseline collection associated with the execution.

See Baseline collection.

timeOutintegerThe time limit for the execution.
kobitonDeviceIdstringThe Kobiton device ID to execute mobile tests, applied when Kobiton integration is enabled.
configTypestringConfiguration type: TSC, COMMAND, GENERIC_COMMAND, TEST_SUITE.
testProjecttestProject objectThe repository that contains the test cases.
agentsArray of Agent objectsThe local agents used in the execution.
testCloudAgentsArray of TestCloudAgent objectsThe TestCloud agents used in the execution.
k8sAgentsArray of K8SAgent objectsThe Kubernetes (K8s) agents used in the execution.
circleCIAgentsArray of CircleCIAgent objectsThe CircleCI agents used in the execution.
testCloudTestSuiteCollectionAgentsArray of testCloudTestSuiteCollectionAgent objectsThese agents are used for overriding individual test environments of test suites in a test suite collection.
cloudTypestringThe cloud execution type, associated with the agents in use: LOCAL_AGENT, TEST_CLOUD_AGENT, CIRCLE_CI_AGENT, K8S_AGENT, K8S.
latestJobJob objectThis object describes the latest execution.
genericCommandstringThe generic execution command configured for the execution.
ksVersionstringThe version of Katalon Runtime Engine used for the execution.
ksLocationstringThe location of Katalon Runtime Engine instance, applied when using local agent.
nextRunSchedulerscheduler objectThe scheduler object for the next execution.
releaserelease objectThe release object associated with the execution.
buildbuild objectThe build object associated with the execution.
executionModestringThere are two execution modes: SEQUENTIAL and PARALLEL.
enabledKobitonIntegrationbooleantrue if Kobiton integration is enabled.
enabledTestCloudTunnelbooleantrue if TestCould Tunnel is enabled.
triggerModestringHow the execution should be triggered: TESTOPS_SCHEDULER (triggered at the specified date and time) or MANUAL_TRIGGER (triggered manually by the user).
browserTypestring

The test environment used in the execution:

  • CHROME

  • FIREFOX

  • SAFARI

  • EDGE

  • EDGE_CHROMIUM

  • WEB_SERVICE

  • CHROME_HEADLESS

  • FIREFOX_HEADLESS

  • MOBILE_BROWSERS

  • MOBILE_NATIVE

  • ALL
  • Try it!

    1. Provide the required parameters and values below (click the dropdown and plus icons):
      1. verifyRunConfiguration - true or false
      2. runConfiguration object
      3. scheduler object
    2. Select the language in Language.
    3. Enter your user name or API credentials.
    4. Review your API call and click Try it!
    Query Params
    boolean
    Defaults to false
    Body Params
    int64

    ID of the run configuration.

    string

    Name of the run configuration.

    string

    Execution command.

    int64
    required

    ID of the associated project.

    int64
    required

    ID of the associated team.

    int64
    required

    ID of the script repository.

    int64

    ID of the linked release.

    int64

    ID of the test suite collection to execute.

    int64

    ID of the test suite to execute.

    int64

    ID of the execution profile.

    int64

    ID of the Visual Testing baseline collection, applied when Visual Testing is enabled.

    int64

    Time limit for this execution.

    string

    ID of the Kobiton device, applied when Kobiton integration is enabled.

    string
    enum
    required

    Configuration type.

    Allowed:
    agents
    array of objects

    Local agents to execute.

    agents
    testCloudAgents
    array of objects

    TestCloud agents to execute.

    testCloudAgents
    k8sAgents
    array of objects

    Kubernetes agents to execute.

    k8sAgents
    circleCIAgents
    array of objects

    CircleCI agent to execute.

    circleCIAgents
    string
    enum
    required

    Type of agent that executes the tests.

    Allowed:
    string

    Execution command configuration in other platforms.

    string

    Version of Katalon Runtime Engine.

    string

    Location of the Katalon Rutime Engine instance when executing with local agent.

    string
    enum

    Sequential or parallel execution.

    Allowed:
    boolean

    true if you want to enable Kobiton integration.

    boolean

    true if you want to enable TestCloud Tunnel.

    string
    enum

    How the execution should be triggered.

    Allowed:
    string
    enum

    Browser/mobile environment to execute the tests.

    Response

    Language
    Credentials
    Basic
    base64
    :
    LoadingLoading…
    Response
    Click Try It! to start a request and see the response here! Or choose an example:
    */*